Vue UI Components Documentation
Vue ScrollBar Component
The ScrollBar component for Vue represents a widget that provides a scroll bar that has a sliding thumb whose position corresponds to a value.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The ScrollBar component for Vue requires the following import:
import JqxScrollBar from "jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollbar.vue";
Add the jqxScrollBar component to the components section of the the Vue class:
components: { JqxScrollBar },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxScrollBar/>
<template> <JqxScrollBar :width="width" :height="height" :min="min" :max="max"> </JqxScrollBar></template>
Properties
The properties of the <JqxScrollBar/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 280, height: 18, min: 0, max: 1000 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxScrollBar @valueChanged="onValueChanged()" :width="width" :height="height" :min="min" :max="max"></JqxScrollBar>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onValueChanged: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxScrollBar ref="scrollbar"></JqxScrollBar>
Here how you can use a component's method:
this.$refs.scrollbar.isScrolling();
methods: { // Add here all used callbacks and/or events onValueChanged: function () { // Do something... let isScrolling = this.refs.scrollbar.isScrolling(); alert(isScrolling); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:

Angular ScrollBar Component

The ScrollBar component for Angular represents a widget that provides a scroll bar that has a sliding thumb whose position corresponds to a value.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div style="margin-bottom: 10px;" #VerticalDiv>Vertical</div>
<jqxScrollBar [theme]="'fluent'" (onValueChanged)="onValueChangedVertical($event)"
              [width]="18" [height]="280"
              [min]="0" [max]="1000" [vertical]="true">
</jqxScrollBar>
<div style="margin: 10px 0;" #HorizontalDiv>Horizontal</div>
<jqxScrollBar [theme]="'fluent'" (onValueChanged)="onValueChangedHorizontal($event)"
              [width]="280" [height]="18"
              [min]="0" [max]="1000">
</jqxScrollBar>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, ElementRef } from '@angular/core';

import { jqxScrollbarModule, jqxScrollbarComponent } from 'jqwidgets-ng/jqxscrollbar';
@Component({
    selector: 'app-root',
    imports: [jqxScrollbarModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('HorizontalDiv') HorizontalDiv: ElementRef;
    @ViewChild('VerticalDiv') VerticalDiv: ElementRef;

    onValueChangedVertical(event: any): void {
        this.VerticalDiv.nativeElement.innerHTML = 'Vertical (' + parseInt(event.currentValue) + ')';
    };

    onValueChangedHorizontal(event: any): void {
        this.HorizontalDiv.nativeElement.innerHTML = 'Horizontal (' + parseInt(event.currentValue) + ')';
    };
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

ScrollBar API

API Reference of the jQWidgets ScrollBar component for Angular: ScrollBar API

React UI Components Documentation
Typescript React ScrollBar Component
This tutorial will show you the basics of how to get started with the jQWidgets ScrollBar React Component.
Prerequisites
Refer to Getting Started with React before you start with this help topic.
Structure
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxScrollBar, { IScrollBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollbar';
II. Class:
class App extends React.PureComponent<{}, IScrollBarProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxScrollBar width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
Events
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IScrollBarProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxScrollBar onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
Methods & Properties
This is how you call methods & props:
//Get Methodsconst value = this.myScrollBar.current!.methodName(arg1, arg2); //Set Methodsthis.myScrollBar.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
Every component also have a method getOptions which returns the value of the requested option.
ScrollBar API
API Reference of the jQWidgets ScrollBar React Component: ScrollBar API
ScrollBar Demos
Demos Reference of the jQwidgets ScrollBar React Component: ScrollBar Demos